using System;
using System.Globalization;

internal sealed class Delegate588 : MulticastDelegate
{
	public extern string Invoke(object object_0, string string_0, CultureInfo cultureInfo_0);

	public static string smethod_0(object object_0, string string_0, CultureInfo cultureInfo_0, Delegate588 delegate588_1)
	{
		return delegate588_1(object_0, string_0, cultureInfo_0);
	}

	public extern Delegate588(object object_0, IntPtr intptr_0);

	static Delegate588()
	{
		Class10.smethod_13(typeof(Delegate588).TypeHandle);
	}

	internal static Delegate588 delegate588_0;
}
